#!/usr/bin/env python
# -*- coding: utf-8 -*-
"""
    demeter database
    name:farm_work_land.py
    author:rabin
"""
from __load__ import *

class Farm_work_land(Model):
	__table__ = 'farm_work_land'
	__comment__ = '农事地块表'
	id = Fields(type='uuid', primaryKey=True, comment='地块ID', uuid='farm_id')
	farm_id = Fields(type='int', default='setting.farm', comment='园区ID', match='not')
	name = Fields(type='varchar(50)', comment='地块名')
	state = Fields(type='boolean', default='True', comment='数据存在状态')
	cdate = Fields(type='int', default='time', comment='创建时间')